%global plugin_name git-client

Summary:    Shared library plugin for other Git related Jenkins plugins
Name:       jenkins-plugin-%{plugin_name}
Version:    1.19.6
Release:    1%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/git-client-plugin
# AltURL:   https://wiki.jenkins-ci.org/display/JENKINS/Git+Client+Plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.532.2

%description
Shared library plugin for other Git related Jenkins plugins.

This plugin provides an API to execute general-purpose git 
operations on a local or remote repository.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.19.6-1
- Initial package
